EDIT - bug #4390

Titlecache of field unit does not update when changing field unit data via derived unit facade

09/02/2014 06:14 PM - Andreas Miller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 50%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 4.6

Severity: normal Found in Version:

Description

What | did in TaxEditor

o for some existing derived unit with field unit attached | updated the "locality" in the details view.

« this automatically updates the title cache in the details view and also the specimen entry in the bulk editor

¢ after saving and running new search | expect that also the field unit in the bulk editor has an updated title cache but this is not

the case, only in details view it is updated

¢ checking the database shows that the titleCache didn't update

The same is true for using the Derivate Search in TaxEditor.

Related issues:

Related to EDIT - bug #6138: fix test testNoRecursiveChangeEvents() in Derive...

Related to EDIT - bug #6448: Update of field unit in details view of derived ...

Closed
New

Associated revisions

Revision 5d6b7e01 - 01/31/2017 12:44 PM - Katja Luther
fix #4390: update titlecache for all merged identifiableEntities

Revision 867bd81d - 01/31/2017 02:00 PM - Katja Luther

fix #4390: update titlecache only for SpecimenOrObservationBase entities

Revision e8b30a54 - 01/31/2017 02:48 PM - Katja Luther
fix #4390: add missing check for protected titteCache

Revision 958adbe2 - 03/01/2017 02:39 PM - Andreas Miller

ref #4390 adapt boolean value for protected

History

#1 - 09/02/2014 06:15 PM - Andreas Miiller
- Target version set to cdmlib RELEASE 3.3.7
- Priority changed from Priority08 to Highest

#2 - 03/24/2015 03:48 PM - Andreas Kohlbecker
- Target version changed from cdmlib RELEASE 3.5.0 to cdmlib RELEASE 3.5.1

moving tickets to next milestone

#3 - 05/04/2015 05:08 PM - Andreas Miiller
- Target version changed from cdmlib RELEASE 3.5.1 to cdmlib RELEASE 3.5.2

move open 3.5.1 tickets to next milestone after release
#4 - 12/18/2015 12:38 PM - Andreas Miiller
- Target version changed from cdmlib RELEASE 3.5.2 to Unassigned CDM tickets

#5 - 01/05/2017 03:18 PM - Andreas Miiller
- Related to bug #6138: fix test testNoRecursiveChangeEvents() in DerivedUnitFacadeTest added

#6 - 01/05/2017 03:19 PM - Andreas Miiller
- Description updated
- Assignee changed from Andreas Muiller to Katja Luther

- Target version changed from Unassigned CDM tickets to Release 4.6

#7 - 01/31/2017 12:44 PM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|5d6b7e01b19c421947455d7a74bd97a907de60aa.

#8 - 01/31/2017 12:45 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller
please review
#9 - 03/01/2017 02:39 PM - Andreas Miiller
This second parameter in this code to me does not make sense. Is always false IMO.
if (!specimen.isProtectedTitleCache()) {
specimen.setTitleCache (specimen.generateTitle (), specimen.isProtectedTitleCache());
}
Changed this with 958adbe25 please check for correctness.

#10 - 03/01/2017 02:54 PM - Andreas Miiller
- Related to bug #6448: Update of field unit in details view of derived unit does not update field unit record added

#11 - 03/01/2017 02:55 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Mtiller to Katja Luther

The issue itself seems to be fixed and can be closed.
| opened a related ticket for refreshing the field unit + sibblings in the bulk editor: #6448

#12 - 03/11/2017 10:54 PM - Andreas Miiller

- Private changed from Yes to No

#13 - 03/27/2017 02:09 PM - Katja Luther
- Status changed from Feedback to Closed
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/5d6b7e01b19c421947455d7a74bd97a907de60aa
